Package be.ehealth.businessconnector.hubv3.builders.impl

# Class RequestBuilderImpl

java.lang.Object
be.ehealth.businessconnector.hubv3.builders.impl.RequestBuilderImpl

All Implemented Interfaces:
  `RequestBuilder`, `ConfigurationModuleBootstrap.ModuleBootstrapHook`

public class RequestBuilderImpl extends Object implements RequestBuilder, ConfigurationModuleBootstrap.ModuleBootstrapHook

See Also:
  - `RequestBuilder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RequestBuilderImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `bootstrap()`
  `DeclareTransactionRequest`
  `buildDeclareTransactionRequest(KmehrHeaderDeclareTransaction kmehrHeader)`
  Creates a `DeclareTransactionRequest`
  `GetAccessRightRequest`
  `buildGetAccessRight(TransactionIdType transaction)`
  Creates a `GetAccessRightRequest`
  `GetHCPartyConsentRequest`
  `buildGetHcPartyConsent(HCPartyIdType hcPartyId)`
  Creates a `GetHCPartyConsentRequest`
  `GetHCPartyRequest`
  `buildGetHcPartyRequest(HCPartyIdType hcParty)`
  Creates a `GetHCPartyRequest`
  `GetLatestUpdateRequest`
  `buildGetLatestUpdateRequest(SelectGetLatestUpdateType latestUpdate)`
  Creates a `GetLatestUpdateRequest`
  `GetPatientAuditTrailRequest`
  `buildGetPatientAudiTrail(SelectGetPatientAuditTrailType patientAuditTrail)`
  Creates a `GetPatientAuditTrailRequest`
  `GetPatientConsentRequest`
  `buildGetPatientConsent(SelectGetPatientConsentType patientConsent)`
  Creates a `GetPatientConsentRequest`
  `GetPatientRequest`
  `buildGetPatientRequest(PatientIdType patientId)`
  Creates a `GetPatientRequest`
  `GetTherapeuticLinkRequest`
  `buildGetTherapeuticLinkRequest(SelectGetHCPartyPatientConsentType patientConsent)`
  Creates a `GetTherapeuticLinkRequest`
  `GetTransactionListRequest`
  `buildGetTransactionListRequest(PatientIdType patient, LocalSearchType searchType, TransactionWithPeriodType transaction)`
  Creates a `GetTransactionListRequest`
  `GetTransactionRequest`
  `buildGetTransactionRequest(PatientIdType patient, TransactionBaseType transaction)`
  Creates a `GetTransactionRequest`
  `GetTransactionSetRequest`
  `buildGetTransactionSetRequest(PatientIdType patient, TransactionBaseType transaction)`
  Creates a `GetTransactionSetRequest`
  `PutAccessRightRequest`
  `buildPutAccessRightRequest(AccessRightType accessRight)`
  Creates a `PutAccessRightRequest`
  `PutHCPartyConsentRequest`
  `buildPutHcPartyConsentRequest(ConsentHCPartyType consent)`
  Creates a `PutHCPartyConsentRequest`
  `PutHCPartyRequest`
  `buildPutHcPartyRequest(HCPartyAdaptedType hcParty)`
  Creates a `PutHCPartyRequest`
  `PutPatientConsentRequest`
  `buildPutPatientConsentRequest(ConsentType patientConsent)`
  Creates a `PutPatientConsentRequest`
  `PutPatientRequest`
  `buildPutPatientRequest(PersonType patient)`
  Creates a `PutPatientRequest`
  `PutTherapeuticLinkRequest`
  `buildPutTherapeuticLinkRequest(TherapeuticLinkType therapeuticLink)`
  Creates a `PutTherapeuticLinkRequest`
  `PutTransactionRequest`
  `buildPutTransactionRequest(Kmehrmessage kmehrHeader)`
  Creates a `PutTransactionRequest`
  `PutTransactionSetRequest`
  `buildPutTransactionSetRequest(Kmehrmessage kmehrHeader)`
  Creates a `PutTransactionSetRequest`
  `RequestPublicationRequest`
  `buildRequestPublicationRequest(PatientIdType patient, TransactionWithPeriodType transaction, String comment)`
  Creates a `RequestPublicationRequest`
  `RevokeAccessRightRequest`
  `buildRevokeAccessRight(SelectRevokeAccessRightType accessRight)`
  Creates a `RevokeAccessRightRequest`
  `RevokeHCPartyConsentRequest`
  `buildRevokeHcPartyConsent(ConsentHCPartyType consent)`
  Creates a `RevokeHCPartyConsentRequest`
  `RevokePatientConsentRequest`
  `buildRevokePatientConsentRequest(ConsentType patientConsent)`
  Creates a `RevokePatientConsentRequest`
  `RevokeTherapeuticLinkRequest`
  `buildRevokeTherapeuticLinkRequest(TherapeuticLinkType therapeuticLink)`
  Creates a `RevokeTherapeuticLinkRequest`
  `RevokeTransactionRequest`
  `buildRevokeTransactionRequest(PatientIdType patient, TransactionBaseType transaction)`
  Creates a `RevokeTransactionRequest`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RequestBuilderImpl

    public RequestBuilderImpl()

- ## Method Details

  - ### buildGetTransactionListRequest

    public GetTransactionListRequest buildGetTransactionListRequest(PatientIdType patient, LocalSearchType searchType, TransactionWithPeriodType transaction)
    Description copied from interface: `RequestBuilder`
    Creates a `GetTransactionListRequest`
    Specified by:
      `buildGetTransactionListRequest` in interface `RequestBuilder`
    Parameters:
      `patient` -
      `searchType` -
      `transaction` -
    Returns:

  - ### buildDeclareTransactionRequest

    public DeclareTransactionRequest buildDeclareTransactionRequest(KmehrHeaderDeclareTransaction kmehrHeader)
    Creates a `DeclareTransactionRequest`
    Specified by:
      `buildDeclareTransactionRequest` in interface `RequestBuilder`
    Parameters:
      `kmehrHeader` -
    Returns:

  - ### buildPutTransactionRequest

    public PutTransactionRequest buildPutTransactionRequest(Kmehrmessage kmehrHeader)
    Creates a `PutTransactionRequest`
    Specified by:
      `buildPutTransactionRequest` in interface `RequestBuilder`
    Parameters:
      `kmehrHeader` -
    Returns:

  - ### buildPutTransactionSetRequest

    public PutTransactionSetRequest buildPutTransactionSetRequest(Kmehrmessage kmehrHeader)
    Creates a `PutTransactionSetRequest`
    Specified by:
      `buildPutTransactionSetRequest` in interface `RequestBuilder`
    Parameters:
      `kmehrHeader` -
    Returns:

  - ### buildRevokeTransactionRequest

    public RevokeTransactionRequest buildRevokeTransactionRequest(PatientIdType patient, TransactionBaseType transaction)
    Creates a `RevokeTransactionRequest`
    Specified by:
      `buildRevokeTransactionRequest` in interface `RequestBuilder`
    Parameters:
      `patient` -
      `transaction` -
    Returns:

  - ### buildGetTransactionRequest

    public GetTransactionRequest buildGetTransactionRequest(PatientIdType patient, TransactionBaseType transaction)
    Creates a `GetTransactionRequest`
    Specified by:
      `buildGetTransactionRequest` in interface `RequestBuilder`
    Parameters:
      `patient` -
      `transaction` -
    Returns:

  - ### buildGetTransactionSetRequest

    public GetTransactionSetRequest buildGetTransactionSetRequest(PatientIdType patient, TransactionBaseType transaction)
    Creates a `GetTransactionSetRequest`
    Specified by:
      `buildGetTransactionSetRequest` in interface `RequestBuilder`
    Parameters:
      `patient` -
      `transaction` -
    Returns:

  - ### buildRequestPublicationRequest

    public RequestPublicationRequest buildRequestPublicationRequest(PatientIdType patient, TransactionWithPeriodType transaction, String comment)
    Creates a `RequestPublicationRequest`
    Specified by:
      `buildRequestPublicationRequest` in interface `RequestBuilder`
    Parameters:
      `patient` -
      `transaction` -
      `comment` -
    Returns:

  - ### buildGetHcPartyRequest

    public GetHCPartyRequest buildGetHcPartyRequest(HCPartyIdType hcParty)
    Creates a `GetHCPartyRequest`
    Specified by:
      `buildGetHcPartyRequest` in interface `RequestBuilder`
    Parameters:
      `hcParty` -
    Returns:

  - ### buildPutHcPartyRequest

    public PutHCPartyRequest buildPutHcPartyRequest(HCPartyAdaptedType hcParty)
    Creates a `PutHCPartyRequest`
    Specified by:
      `buildPutHcPartyRequest` in interface `RequestBuilder`
    Parameters:
      `hcParty` -
    Returns:

  - ### buildPutHcPartyConsentRequest

    public PutHCPartyConsentRequest buildPutHcPartyConsentRequest(ConsentHCPartyType consent)
    Creates a `PutHCPartyConsentRequest`
    Specified by:
      `buildPutHcPartyConsentRequest` in interface `RequestBuilder`
    Parameters:
      `consent` -
    Returns:

  - ### buildGetHcPartyConsent

    public GetHCPartyConsentRequest buildGetHcPartyConsent(HCPartyIdType hcPartyId)
    Creates a `GetHCPartyConsentRequest`
    Specified by:
      `buildGetHcPartyConsent` in interface `RequestBuilder`
    Parameters:
      `hcPartyId` -
    Returns:

  - ### buildRevokeHcPartyConsent

    public RevokeHCPartyConsentRequest buildRevokeHcPartyConsent(ConsentHCPartyType consent)
    Creates a `RevokeHCPartyConsentRequest`
    Specified by:
      `buildRevokeHcPartyConsent` in interface `RequestBuilder`
    Parameters:
      `consent` -
    Returns:

  - ### buildPutPatientRequest

    public PutPatientRequest buildPutPatientRequest(PersonType patient)
    Creates a `PutPatientRequest`
    Specified by:
      `buildPutPatientRequest` in interface `RequestBuilder`
    Parameters:
      `patient` -
    Returns:

  - ### buildGetPatientRequest

    public GetPatientRequest buildGetPatientRequest(PatientIdType patientId)
    Creates a `GetPatientRequest`
    Specified by:
      `buildGetPatientRequest` in interface `RequestBuilder`
    Parameters:
      `patientId` -
    Returns:

  - ### buildPutPatientConsentRequest

    public PutPatientConsentRequest buildPutPatientConsentRequest(ConsentType patientConsent)
    Creates a `PutPatientConsentRequest`
    Specified by:
      `buildPutPatientConsentRequest` in interface `RequestBuilder`
    Parameters:
      `patientConsent` -
    Returns:

  - ### buildGetPatientConsent

    public GetPatientConsentRequest buildGetPatientConsent(SelectGetPatientConsentType patientConsent)
    Creates a `GetPatientConsentRequest`
    Specified by:
      `buildGetPatientConsent` in interface `RequestBuilder`
    Parameters:
      `patientConsent` -
    Returns:

  - ### buildRevokePatientConsentRequest

    public RevokePatientConsentRequest buildRevokePatientConsentRequest(ConsentType patientConsent)
    Creates a `RevokePatientConsentRequest`
    Specified by:
      `buildRevokePatientConsentRequest` in interface `RequestBuilder`
    Parameters:
      `patientConsent` -
    Returns:

  - ### buildPutTherapeuticLinkRequest

    public PutTherapeuticLinkRequest buildPutTherapeuticLinkRequest(TherapeuticLinkType therapeuticLink)
    Creates a `PutTherapeuticLinkRequest`
    Specified by:
      `buildPutTherapeuticLinkRequest` in interface `RequestBuilder`
    Parameters:
      `therapeuticLink` -
    Returns:

  - ### buildGetTherapeuticLinkRequest

    public GetTherapeuticLinkRequest buildGetTherapeuticLinkRequest(SelectGetHCPartyPatientConsentType patientConsent)
    Creates a `GetTherapeuticLinkRequest`
    Specified by:
      `buildGetTherapeuticLinkRequest` in interface `RequestBuilder`
    Parameters:
      `patientConsent` -
    Returns:

  - ### buildRevokeTherapeuticLinkRequest

    public RevokeTherapeuticLinkRequest buildRevokeTherapeuticLinkRequest(TherapeuticLinkType therapeuticLink)
    Creates a `RevokeTherapeuticLinkRequest`
    Specified by:
      `buildRevokeTherapeuticLinkRequest` in interface `RequestBuilder`
    Parameters:
      `therapeuticLink` -
    Returns:

  - ### buildPutAccessRightRequest

    public PutAccessRightRequest buildPutAccessRightRequest(AccessRightType accessRight)
    Creates a `PutAccessRightRequest`
    Specified by:
      `buildPutAccessRightRequest` in interface `RequestBuilder`
    Parameters:
      `accessRight` -
    Returns:

  - ### buildGetAccessRight

    public GetAccessRightRequest buildGetAccessRight(TransactionIdType transaction)
    Creates a `GetAccessRightRequest`
    Specified by:
      `buildGetAccessRight` in interface `RequestBuilder`
    Parameters:
      `transaction` -
    Returns:

  - ### buildRevokeAccessRight

    public RevokeAccessRightRequest buildRevokeAccessRight(SelectRevokeAccessRightType accessRight)
    Creates a `RevokeAccessRightRequest`
    Specified by:
      `buildRevokeAccessRight` in interface `RequestBuilder`
    Parameters:
      `accessRight` -
    Returns:

  - ### buildGetPatientAudiTrail

    public GetPatientAuditTrailRequest buildGetPatientAudiTrail(SelectGetPatientAuditTrailType patientAuditTrail)
    Creates a `GetPatientAuditTrailRequest`
    Specified by:
      `buildGetPatientAudiTrail` in interface `RequestBuilder`
    Parameters:
      `patientAuditTrail` -
    Returns:

  - ### buildGetLatestUpdateRequest

    public GetLatestUpdateRequest buildGetLatestUpdateRequest(SelectGetLatestUpdateType latestUpdate)
    Creates a `GetLatestUpdateRequest`
    Specified by:
      `buildGetLatestUpdateRequest` in interface `RequestBuilder`
    Parameters:
      `latestUpdate` -
    Returns:

  - ### bootstrap

    public void bootstrap()
    Specified by:
      `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`